# (C) Datadog, Inc. 2025-present
# All rights reserved
# Licensed under a 3-clause BSD style license (see LICENSE)

METRICS = {
    'litellm_api_key_budget_remaining_hours_metric': "api.key.budget.remaining_hours.metric",
    'litellm_api_key_max_budget_metric': "api.key.max_budget.metric",
    'litellm_auth_failed_requests': "auth.failed_requests",
    'litellm_auth_latency': "auth.latency",
    'litellm_auth_total_requests': "auth.total_requests",
    'litellm_batch_write_to_db_failed_requests': "batch_write_to_db.failed_requests",
    'litellm_batch_write_to_db_latency': "batch_write_to_db.latency",
    'litellm_batch_write_to_db_total_requests': "batch_write_to_db.total_requests",
    'litellm_deployment_cooled_down': "deployment.cooled_down",
    'litellm_deployment_failed_fallbacks': "deployment.failed_fallbacks",
    'litellm_deployment_failure_by_tag_responses': "deployment.failure_by_tag_responses",
    'litellm_deployment_failure_responses': "deployment.failure_responses",
    'litellm_deployment_latency_per_output_token': "deployment.latency_per_output_token",
    'litellm_deployment_state': "deployment.state",
    'litellm_deployment_success_responses': "deployment.success_responses",
    'litellm_deployment_successful_fallbacks': "deployment.successful_fallbacks",
    'litellm_deployment_total_requests': "deployment.total_requests",
    'litellm_in_memory_daily_spend_update_queue_size': "in_memory.daily_spend_update_queue.size",
    'litellm_in_memory_spend_update_queue_size': "in_memory.spend_update_queue.size",
    'litellm_input_tokens': "input.tokens",
    'litellm_input_tokens_metric': "input_tokens.metric",
    'litellm_llm_api_latency_metric': "llm.api.latency.metric",
    'litellm_llm_api_time_to_first_token_metric': "llm.api.time_to_first_token.metric",
    'litellm_not_a_premium_user_metric': "not_a_premium_user.metric",
    'litellm_output_tokens': "output.tokens",
    'litellm_output_tokens_metric': "output_tokens.metric",
    'litellm_overhead_latency_metric': "overhead_latency.metric",
    'litellm_pod_lock_manager_size': "pod_lock_manager.size",
    'litellm_postgres_failed_requests': "postgres.failed_requests",
    'litellm_postgres_latency': "postgres.latency",
    'litellm_postgres_total_requests': "postgres.total_requests",
    'litellm_provider_remaining_budget_metric': "provider.remaining_budget.metric",
    'litellm_proxy_failed_requests_metric': "proxy.failed_requests.metric",
    'litellm_proxy_pre_call_failed_requests': "proxy.pre_call.failed_requests",
    'litellm_proxy_pre_call_latency': "proxy.pre_call.latency",
    'litellm_proxy_pre_call_total_requests': "proxy.pre_call.total_requests",
    'litellm_proxy_total_requests_metric': "proxy.total_requests.metric",
    'litellm_redis_daily_spend_update_queue_size': "redis.daily_spend_update_queue.size",
    'litellm_redis_daily_tag_spend_update_queue_failed_requests': (
        "redis.daily_tag_spend_update_queue.failed_requests"
    ),
    'litellm_redis_daily_tag_spend_update_queue_latency': "redis.daily_tag_spend_update_queue.latency",
    'litellm_redis_daily_tag_spend_update_queue_total_requests': "redis.daily_tag_spend_update_queue.total_requests",
    'litellm_redis_daily_team_spend_update_queue_failed_requests': (
        "redis.daily_team_spend_update_queue.failed_requests"
    ),
    'litellm_redis_daily_team_spend_update_queue_latency': "redis.daily_team_spend_update_queue.latency",
    'litellm_redis_daily_team_spend_update_queue_total_requests': (
        "redis.daily_team_spend_update_queue.total_requests"
    ),
    'litellm_redis_failed_requests': "redis.failed_requests",
    'litellm_redis_latency': "redis.latency",
    'litellm_redis_spend_update_queue_size': "redis.spend_update_queue.size",
    'litellm_redis_total_requests': "redis.total_requests",
    'litellm_remaining_api_key_budget_metric': "remaining.api_key.budget.metric",
    'litellm_remaining_api_key_requests_for_model': "remaining.api_key.requests_for_model",
    'litellm_remaining_api_key_tokens_for_model': "remaining.api_key.tokens_for_model",
    'litellm_remaining_requests': "remaining.requests",
    'litellm_remaining_requests_metric': "remaining_requests.metric",
    'litellm_remaining_team_budget_metric': "remaining.team_budget.metric",
    'litellm_remaining_tokens': "remaining_tokens",
    'litellm_request_total_latency_metric': "request.total_latency.metric",
    'litellm_reset_budget_job_failed_requests': "reset_budget_job.failed_requests",
    'litellm_reset_budget_job_latency': "reset_budget_job.latency",
    'litellm_reset_budget_job_total_requests': "reset_budget_job.total_requests",
    'litellm_router_failed_requests': "router.failed_requests",
    'litellm_router_latency': "router.latency",
    'litellm_router_total_requests': "router.total_requests",
    'litellm_self_failed_requests': "self.failed_requests",
    'litellm_self_latency': "self.latency",
    'litellm_self_total_requests': "self.total_requests",
    'litellm_spend_metric': "spend.metric",
    'litellm_team_budget_remaining_hours_metric': "team.budget.remaining_hours.metric",
    'litellm_team_max_budget_metric': "team.max_budget.metric",
    'litellm_total_tokens': "total.tokens",
    'process_start_time_seconds': {"name": "process.uptime.seconds", "type": "time_elapsed"},
    # Deprecated
    'litellm_llm_api_failed_requests_metric': "llm.api.failed_requests.metric",
    'litellm_requests_metric': "requests.metric",
}
